import { constants } from '@zohodesk/js-api-creator';

export default {
    "asap.apps": { // Get ASAP widgets list
        url: "asapApps",
        method: constants.get
    },
    "asap.new": { // Create new ASAP widget
        url: "asapApp",
        method: constants.post
    },
    "asap.app": { // Get ASAP widget details
        url: "asapApps/:id",
        method: constants.get
    },
    "asap.update": { // Update the ASAP widget details
        url: "asapApps/:id",
        method: constants.patch
    },
    "asap.deleteIt": { // Delete the ASAP widget
        url: "asapApps/:id",
        method: constants.deleteIt
    },
    "asap.uploadp12File": {
        url: "asapApps/:id/uploadAPNCertificate",
        method: constants.post
    }
};