import { constants } from '@zohodesk/js-api-creator';

export default {
    "helpCenter.get": {
        url: "helpCenters/:helpCenterId",
        method: constants.get
    },
    "helpCenter.imageUpload": {
        url: "helpCenters/:helpCenterId/imageUpload",
        method: constants.post
    },

    'page': {
        url: "helpCenter/:helpCenterId/page/:pageId",
        method: constants.get
    },
    'page.update': {
        url: "helpCenter/:helpCenterId/page/:pageId",
        method: constants.patch
    },
    'pages': {
        url: 'helpCenter/:helpCenterId/pages',
        method: constants.get
    },
    'sitemaps': {
        url: 'helpCenters/:helpCenterId/sitemaps',
        method: constants.get
    },
    'sitemaps.download': {
        url: 'helpCenters/:helpCenterId/sitemaps/download',
        method: constants.get
    },
    'sitemaps.generate': {
        url: 'helpCenters/:helpCenterId/sitemaps',
        method: constants.post
    },
    'preferences.update': {
        url: 'helpCenter/:helpCenterId/preference',
        method: constants.patch
    },
    'preferences.get': {
        url: 'helpCenter/:helpCenterId/preference',
        method: constants.get
    },
    'themes.get': {
        url: 'themes',
        method: constants.get
    }

};